use clap::{AppSettings, Parser};

#[derive(Debug, Parser)]
pub enum Command {
    /// Verifies if the configuration can be parsed without errors
    Configtest,
}

#[derive(Debug, Parser)]
#[clap(
    about,
    version,
    author,
    global_setting = AppSettings::InferSubcommands,
    global_setting = AppSettings::PropagateVersion,
)]
pub struct Opts {
    /// Provide a path to the configuration file
    #[clap(short, long, value_name = "FILE")]
    pub config: Option<String>,
    #[clap(subcommand)]
    pub command: Option<Command>,
}
